www.cendio.com
Bug 5539 - Upgrade OpenSSH to latest version
: Upgrade OpenSSH to latest version
Status: CLOSED FIXED
: ThinLinc
Client
: trunk
: PC Unknown
: P2 Normal
: 4.5.0
Assigned To:
:
:
:
:
  Show dependency treegraph
 
Reported: 2015-05-19 16:47 by
Modified: 2015-09-25 13:55 (History)
Acceptance Criteria:


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From cendio 2015-05-19 16:47:55
We are using 6.7, latest is 6.8.
------- Comment #1 From cendio 2015-08-18 10:19:24 -------
Upgraded to 7.0p1 in r30672.
------- Comment #2 From cendio 2015-09-01 14:33:45 -------
OpenSSH 7.1 was released three days after we upgraded to 7.0. Reopening after
discussions with Pierre.
------- Comment #4 From cendio 2015-09-10 17:40:43 -------
Tested ThinLinc client build 4883 on Windows 8 platform:

Following auth mech. was tested and worked as expected:

  - Password
  - Public Key
  - SmartCard

Tunnels was tested using a combination of Local drive + sound tunnels as;

Playback of youtube + dd write 1Gb file takes ssh.exe to 11% CPU usage which
does not differ from 4.4.0 client on same machine. Also the visually perception
of the youtube playback didn't differ from both tests.

Everything looks good.
------- Comment #5 From cendio 2015-09-18 10:18:09 -------
Verified the following on arm softfloat client machines using client build
4890:

Wyse T50
--------
* sound
* local drives
* password authentication
* public key authentication
* smart card authentication

Igel IZ1
--------
* kerberos authentication
------- Comment #6 From cendio 2015-09-18 11:16:16 -------
So, summarizing:

|               | Tunnels | Password | Public key | Kerberos | Smart card |
|---------------+---------+----------+------------+----------+------------|
| Linux, x86_64 | x       | x        | x          | x        | x          |
| OSX, x86_64   | x       | x        | x          | x        | x          |
| Windows, i386 | x       | x        | x          |          | x          |
| Linux, i386   | x       | x        | x          | x        | x          |
| Linux, arm7hf | x       | x        | x          | x        | x          |
| Linux, arm7sf | x       | x        | x          | x        | x          |
|---------------+---------+----------+------------+----------+------------|

Haven't found any problems.